Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.ajax
Class AjaxFilter

    java.lang.Object
      org.mortbay.util.ajax.AjaxFilter

All Implemented Interfaces:
  javax.servlet.Filter

Direct Known Subclasses:
  ChatFilter

Deprecated. Use Cometd

    public class AjaxFilter

extends java.lang.Object
implements javax.servlet.Filter

Author:
  gregw

Nested Class Summary
`static class` | `AjaxFilter.AjaxResponse` Deprecated.

Constructor Summary
`AjaxFilter()` Deprecated.

Method Summary
`void` | `destroy()` Deprecated.
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Deprecated.
`static java.lang.String` | `encodeText(java.lang.String s)` Deprecated.
`javax.servlet.ServletContext` | `getContext()` Deprecated.
`void` | `handle(java.lang.String method, java.lang.String message, javax.servlet.http.HttpServletRequest request, AjaxFilter.AjaxResponse response)` Deprecated.
`void` | `init(javax.servlet.FilterConfig filterConfig)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxFilter

    public AjaxFilter()

  Deprecated.

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Deprecated.
  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### getContext

    public javax.servlet.ServletContext getContext()

  Deprecated.
  Returns:
    Returns the context.

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Deprecated.
  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### handle

    public void handle(java.lang.String method,
                       java.lang.String message,
                       javax.servlet.http.HttpServletRequest request,
                       AjaxFilter.AjaxResponse response)

  Deprecated.

### destroy

    public void destroy()

  Deprecated.
  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### encodeText

    public static java.lang.String encodeText(java.lang.String s)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.